package com.hzya.frame.sys.voucher.dao.impl;

import com.hzya.frame.sys.proof.entity.PullVo;
import com.hzya.frame.sys.voucher.entity.VoucherEntity;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.voucher.dao.IVoucherDao;

import java.util.List;

/**
 * @description: 凭证单据  dao
 * @tableName: sys_voucher
 * @entityName: VoucherEntity
 * @author: gjh
 * @history: 1.0
 */
@Repository("sys_voucherdao")
public class VoucherDaoImpl extends MybatisGenericDao<VoucherEntity, String> implements IVoucherDao {

    @Override
    public int VoucherEntity_update_ids(VoucherEntity entity) {
        Integer o = super.update(getSqlIdPrifx() + "VoucherEntity_update_ids", entity);
        return o;
    }
    @Override
    public int VoucherEntity_update_By_Proof_id(VoucherEntity entity) {
        Integer o = super.update(getSqlIdPrifx() + "VoucherEntity_update_By_Proof_id", entity);
        return o;
    }
}
